SYD-LS(1)

# NAME

syd-ls - list capabilities, system calls, environment variables, ioctl requests, and prctl options

# SYNOPSIS

*syd-ls* _set_

# DESCRIPTION

The *syd-ls* utility prints the names of the system calls which belong to the
given set. Available sets are *dead*, *deny*, *hook*, *noop*, *safe*, *setid*,
*time*, and *uring*.

If set is *drop*, *syd-ls* prints the list of Linux _capabilities_(7) that are
dropped at startup.

If set is *env*, *syd-ls* prints the list of unsafe environment variables.

If set is *ioctl*, *syd-ls* prints the list of allowed ioctl requests.

If set is *prctl*, *syd-ls* prints the list of allowed prctl options.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
