SYD-PATH(1)

# NAME

syd-path - Write Integrity Force rules for binaries under PATH

# SYNOPSIS

*syd-path* _[-h1235dklmpsw]_

# DESCRIPTION

Write Integrity Force rules for binaries under PATH

# OPTIONS

|[ *-h*
:< Display help.
|[ *-m*
:< Calculate MD5 checksum (insecure, portage/paludis vdb compat).
|[ *-1*
:< Calculate SHA1 checksum (insecure).
|[ *-2*
:< Calculate SHA3-256 checksum.
|[ *-3*
:< Calculate SHA3-384 checksum.
|[ *-5*
:< Calculate SHA3-512 checksum (default).
|[ *-d*
:< Use action deny (default).
|[ *-k*
:< Use action kill.
|[ *-w*
:< Use action warn.
|[ *-l* *num*
:< Limit by number of entries.
|[ *-p* *path*
:< Specify alternative PATH.
|[ *-s*
:< Prefix rules with "/dev/syd/".

# BUGS

This tool will skip any failure silently.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
